package com.iona.fuse.demo.logisticx.web.customer.client.customer.model;

/**
 * 
 * Copyright  2007-2008 IONA Technologies PLC.
 *           All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

import com.google.gwt.user.client.rpc.IsSerializable;

public class LineItem implements IsSerializable {
    private float price;
    private Order order;
    private String description;
    private String name;
    private int quantity;
    private Calendar deliveryDate;
    private long lineItemId;
    private long itemId;
    private float totalPrice;
    
    public float getPrice() {
        return this.price;
    }
    public void setPrice(float newValue) {
        this.price = newValue;
    }

    public Order getOrder() {
        return this.order;
    }
    public void setOrder(Order newValue) {
        this.order = newValue;
    }

    public String getDescription() {
        return this.description;
    }
    public void setDescription(String newValue) {
        this.description = newValue;
    }

    public String getName() {
        return this.name;
    }
    public void setName(String newValue) {
        this.name = newValue;
    }

    public int getQuantity() {
        return this.quantity;
    }
    public void setQuantity(int newValue) {
        this.quantity = newValue;
    }

    public Calendar getDeliveryDate() {
        return this.deliveryDate;
    }
    public void setDeliveryDate(Calendar newValue) {
        this.deliveryDate = newValue;
    }
    
    public long getLineItemId() {
        return this.lineItemId;
    }
    public void setLineItemId(long newValue) {
        this.lineItemId = newValue;
    }

    public long getItemId() {
        return this.itemId;
    }
    public void setItemId(long newValue) {
        this.itemId = newValue;
    }
    
    public float getTotalPrice() {
        return this.totalPrice;
    }
    public void setTotalPrice(float newValue) {
        this.totalPrice = newValue;
    }
}
