package com.iona.fuse.demo.logisticx.web.customer.client.operations;

/**
 * 
 * Copyright  2007-2008 IONA Technologies PLC.
 *           All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

import com.google.gwt.user.client.rpc.AsyncCallback;

public interface AgentServiceAsync {
    /**  
     */
    void getMBeans(AsyncCallback async);

    void getAttributes(String objectName, AsyncCallback async);

    void getAttributes(String[] objectNames, AsyncCallback async);

    void getOperations(String objectName, AsyncCallback async);

    void invoke(String objectName, String operationName,
                String[] params, String[] signature, AsyncCallback async);
}
