package com.iona.fuse.demo.logisticx.service.order;

/**
 * 
 * Copyright  2007-2008 IONA Technologies PLC.
 *           All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import com.iona.fuse.demo.logisticx.model.Customer;
import com.iona.fuse.demo.logisticx.model.Item;
import com.iona.fuse.demo.logisticx.model.LineItem;
import com.iona.fuse.demo.logisticx.model.Order;
import com.iona.fuse.demo.logisticx.model.OrderStatus;
import com.iona.fuse.demo.logisticx.model.factory.OrderFactoryBean;

public class LogisticxOrderServiceTest {
    
    private OrderFactoryBean factoryBean = new OrderFactoryBean(); 

    @Before
    public void setUp() throws Exception {
    }

    @After
    public void tearDown() throws Exception {
    }

    @Test
    public void testPutOrder() throws Exception {
        // TODO: Speak to Dan Kulp about how best to write a test for
        //   a web service using CXF 
    }
    
    private Order createDefaultOrder() throws Exception {
        Order testOrder = new Order();
        Customer customer = new Customer();
        Item item = new Item();
        LineItem lineItem = new LineItem();
        OrderStatus status = new OrderStatus(OrderStatus.StatusCode.ORDER_PLACED);
        
        testOrder.setLineItem(lineItem);
        testOrder.setCustomerId(1234);
        testOrder.setStatus(status);
        
        return testOrder;
    }
}
